var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/server/index.ts
var server_exports = {};
__export(server_exports, {
  getAllRepoList: () => getAllRepoList,
  getAllRepoNameList: () => getAllRepoNameList,
  getAppointRepoName: () => getAppointRepoName
});
module.exports = __toCommonJS(server_exports);
var import_axios = __toESM(require("axios"));
async function getAllRepoList(user) {
  const {
    data
  } = await import_axios.default.get(`https://api.github.com/orgs/${user}/repos`);
  return data;
}
async function getAllRepoNameList(user) {
  const allRepolist = await getAllRepoList(user);
  return allRepolist.map((item) => ({
    name: item.name,
    description: item.description || ""
  }));
}
function getAppointRepoName(user) {
  return async (match) => {
    const allRepoListName = await getAllRepoNameList(user);
    return allRepoListName.filter(
      (item) => {
        const curNameLowerCase = item.name.toLocaleLowerCase();
        return match.every((item2) => curNameLowerCase.includes(item2));
      }
    );
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getAllRepoList,
  getAllRepoNameList,
  getAppointRepoName
});
